# $Id: perl-Clone.spec 3294 2005-06-08 20:58:29Z dries $
# Authority: dries
# Upstream: Ray Finch <finchray$yahoo,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Clone

Summary: Recursively copy Perl datatypes
Name: perl-Clone
Version: 0.18
Release: 1.rf
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Clone/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Clone/Clone-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl

%description
With this module, you can recursively copy Perl datatypes.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes
%doc %{_mandir}/man3/*
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone/

%changelog
* Wed Jun  8 2005 Dries Verachtert <dries@ulyssis.org> - 0.18-1 - 3294/dries
- Updated to release 0.18.

* Tue Dec 07 2004 Dries Verachtert <dries@ulyssis.org> - 0.15-1
- Initial package.
